function [vx,vy,vz]=cquad4_elm_coord_asis(node_1,node_2,node_3,node_4)



z_vect=cross(node_2-node_1,node_3-node_1);
vz=z_vect./norm(z_vect);

cos_B=((node_3-node_1)*(node_2-node_1)')/(norm(node_3-node_1)*norm(node_2-node_1));
cos_G=((node_4-node_2)*(node_1-node_2)')/(norm(node_4-node_2)*norm(node_1-node_2));
B=acos(cos_B);
G=acos(cos_G);

alpha=(B+G)/2;

A=[vz
    node_2-node_4
    node_3-node_1];
b=[0
    cos(alpha)*norm(node_2-node_4)
    cos(alpha)*norm(node_3-node_1)];

vx=(A\b)';
% vx=vx/norm(vx);
vy=cross(vz,vx);
end